Sign up with email OTP
POST /signup/otp/email
POST
/signup/otp/email
Register a new user account using email OTP authentication. Sends a one-time password to the specified email address.
Use this endpoint to explicitly register a new account. When AUTH_DISABLE_AUTO_SIGNUP is enabled, this is the only way to register through this method.
Request Body required
Section titled “Request Body required ”Email address and optional user options for OTP registration
object
email
required
A valid email
string format: email
Example
john.smith@nhost.io options
object
allowedRoles
Array<string>
Example
[ "me", "user"] defaultRole
string
Example
user displayName
string
Example
John Smith locale
A two or three characters locale
string
Example
en metadata
object
key
additional properties
any
Example
{ "firstName": "John", "lastName": "Smith"} redirectTo
string format: uri
Example
https://my-app.com/catch-redirectionResponses
Section titled “ Responses ”OTP sent to the user’s email. To prevent account enumeration, this response is also returned without side effects when the email is already registered.
string
default
Section titled “default ”An error occurred while processing the request
Standardized error response
object
status
required
HTTP status error code
integer
Example
400 message
required
Human-friendly error message
string
Example
Invalid email format error
required
Error code identifying the specific application error
string